Name: globalplatform
Version: 5.0.0
Release: 10%{?dist}
Summary: Library for access to OP 2.0.1 and GP 2.1.1 conforming smart cards
Group: System Environment/Libraries
License: LGPLv3+
URL: http://sourceforge.net/projects/globalplatform/
Source0: http://downloads.sourceforge.net/globalplatform/%{name}-%{version}.tar.gz

# Add pkg-config configuration file
# https://sourceforge.net/tracker/index.php?func=detail&aid=2167956&group_id=143343&atid=755201
Patch0: add_pkgconfig.patch
Patch1: libtool22.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel >= 0.9.7e
BuildRequires: zlib-devel >= 1.2.3
BuildRequires: pcsc-lite-devel
BuildRequires: automake
BuildRequires: libtool

%description
This is a library for providing access to OpenPlatform 2.0.1 and
GlobalPlatform 2.1.1 conforming smart cards.

%package devel
Summary: Development libraries for programs to access OP and GP smart cards 
Group: Development/Libraries
Requires: globalplatform = %{version}-%{release}
Requires: pcsc-lite-devel
Requires: pkgconfig

%description devel
The globalplatform-devel package contains header files necessary for 
developing programs using the GlobalPlatform library.

%prep
%setup -q
%patch0 -p1 -b add_pkgconfig.patch
%patch1 -p1 -b libtool22.patch

%if 0%{?fedora} >= 11
libtoolize --force --copy
%endif
aclocal
autoconf
automake
touch -r Makefile.in configure aclocal.m4

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} CPPROG="cp -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING.LESSER ChangeLog AUTHORS
%{_libdir}/libGlobalPlatform.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/GlobalPlatform/
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 5.0.0-9
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> 5.0.0-6
- rebuild with new openssl

* Wed Dec  3 2008 François Kooman <fkooman at tuxed net> 5.0.0-5
- make it build with libtool 2.2 (rawhide)

* Sun Oct 15 2008 François Kooman <fkooman at tuxed net> 5.0.0-4
- requires pkgconfig
- actually include GlobalPlatform directory in .pc pkgconfig patch
- add upstream patch bug report

* Fri Oct 10 2008 François Kooman <fkooman at tuxed net> 5.0.0-3
- Add pkgconfig file by using patch, add autoconf goo
- Downloaded Source0 again, retaining timestamp this time

* Fri Oct  3 2008 François Kooman <fkooman at tuxed net> 5.0.0-2
- license is GPLv3+
- change source URL according to packaging guidelines for Sourceforge.net:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
- devel package requires pcsc-lite-devel as well
- AUTHORS added to docs
- keep timestamps on files being copied
- removed redundant include directory 
  also includes all the files under that directory

* Mon Sep 22 2008 François Kooman <fkooman at tuxed net> 5.0.0-1
- Initial package for Fedora

